[cig-commits] r3869 - short/3D/PyLith/branches/pylith-0.8/pylith3d/examples/lintet/bm1a

willic3 at geodynamics.org willic3 at geodynamics.org
Fri Jun 23 08:54:48 PDT 2006


Author: willic3
Date: 2006-06-23 08:54:47 -0700 (Fri, 23 Jun 2006)
New Revision: 3869

Added:
   short/3D/PyLith/branches/pylith-0.8/pylith3d/examples/lintet/bm1a/runbm1a-lithomop.sh
Log:
Forgot to add this shell script earlier.



Added: short/3D/PyLith/branches/pylith-0.8/pylith3d/examples/lintet/bm1a/runbm1a-lithomop.sh
===================================================================
--- short/3D/PyLith/branches/pylith-0.8/pylith3d/examples/lintet/bm1a/runbm1a-lithomop.sh	2006-06-23 15:53:45 UTC (rev 3868)
+++ short/3D/PyLith/branches/pylith-0.8/pylith3d/examples/lintet/bm1a/runbm1a-lithomop.sh	2006-06-23 15:54:47 UTC (rev 3869)
@@ -0,0 +1,50 @@
+#!/bin/bash
+# ======================================================================
+#
+# Shell script to run LithoMop using SCEC benchmark 1 (medium resolution).
+#
+# ======================================================================
+
+if [ $# != 0 ]; then
+  echo "usage: runbm1a-lithomop.sh"
+  exit 1
+fi
+suff="lm"
+
+simroot="bm1a"
+dupext="fuldat prop statevar time"
+sinext="coord connect bc split"
+
+pyreflags="-typos=relaxed"
+echo "Pyre flags:"
+echo $pyreflags
+
+lithomopflags="-lm3dscan.fileRoot=${simroot}_$suff \
+  -lm3dscan.asciiOutput=none \
+  -lm3dscan.ucdOutput=binary"
+echo "LithoMop flags:"
+echo $lithomopflags
+
+petscflags="-log_summary \
+  -pc_type bjacobi \
+  -sub_pc_type ilu \
+  -ksp_monitor \
+  -ksp_rtol 1e-09"
+echo "PETSc flags:"
+echo $petscflags
+
+echo "Setting up symbolic links with prefix ${simroot}_${suff}..."
+for ext in $sinext; do
+  ln -s $simroot.$ext ${simroot}_$suff.$ext
+done
+for ext in $dupext; do
+  ln -s $simroot.$ext ${simroot}_$suff.$ext
+done
+
+echo "Running LithoMop..."
+cmd="lithomop3dapp.py $pyreflags $lithomopflags $petscflags"
+
+echo $cmd
+eval $cmd
+
+# end of file


Property changes on: short/3D/PyLith/branches/pylith-0.8/pylith3d/examples/lintet/bm1a/runbm1a-lithomop.sh
___________________________________________________________________
Name: svn:executable
   + *



More information about the Cig-commits mailing list